<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:41:13 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
PoolingClientConnectionManager (HttpClient 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PoolingClientConnectionManager (HttpClient 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PoolingClientConnectionManager.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/LoggingSessionOutputBuffer.html" title="class in org.apache.http.impl.conn"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html" title="class in org.apache.http.impl.conn"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/conn/PoolingClientConnectionManager.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PoolingClientConnectionManager.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.conn</FONT>
<BR>
Class PoolingClientConnectionManager</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.conn.PoolingClientConnectionManager</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</DD>
</DL>
<HR>
<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html" title="class in org.apache.http.impl.conn"><CODE>PoolingHttpClientConnectionManager</CODE></A>.</I>
<P>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/ThreadSafe.html?is-external=true" title="class or interface in org.apache.http.annotation">@ThreadSafe</A>
</FONT>public class <B>PoolingClientConnectionManager</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</DL>
</PRE>

<P>
Manages a pool of <A HREF="../../../../../org/apache/http/conn/OperatedClientConnection.html" title="interface in org.apache.http.conn"><CODE>client connections</CODE></A> and
 is able to service connection requests from multiple execution threads.
 Connections are pooled on a per route basis. A request for a route which
 already the manager has persistent connections for available in the pool
 will be services by leasing a connection from the pool rather than
 creating a brand new connection.
 <p>
 PoolingConnectionManager maintains a maximum limit of connection on
 a per route basis and in total. Per default this implementation will
 create no more than than 2 concurrent connections per given route
 and no more 20 connections in total. For many real-world applications
 these limits may prove too constraining, especially if they use HTTP
 as a transport protocol for their services. Connection limits, however,
 can be adjusted using HTTP parameters.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#PoolingClientConnectionManager()">PoolingClientConnectionManager</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry)">PoolingClientConnectionManager</A></B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schreg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry, org.apache.http.conn.DnsResolver)">PoolingClientConnectionManager</A></B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schreg,
                               <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry, long, java.util.concurrent.TimeUnit)">PoolingClientConnectionManager</A></B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schemeRegistry,
                               long&nbsp;timeToLive,
                               <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry, long, java.util.concurrent.TimeUnit, org.apache.http.conn.DnsResolver)">PoolingClientConnectionManager</A></B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schemeRegistry,
                               long&nbsp;timeToLive,
                               <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit,
                               <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#closeExpiredConnections()">closeExpiredConnections</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Closes all expired connections in the pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#closeIdleConnections(long, java.util.concurrent.TimeUnit)">closeIdleConnections</A></B>(long&nbsp;idleTimeout,
                     <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Closes idle connections in the pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/conn/ClientConnectionOperator.html" title="interface in org.apache.http.conn">ClientConnectionOperator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#createConnectionOperator(org.apache.http.conn.scheme.SchemeRegistry)">createConnectionOperator</A></B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schreg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Hook for creating the connection operator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#finalize()">finalize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#getDefaultMaxPerRoute()">getDefaultMaxPerRoute</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#getMaxPerRoute(org.apache.http.conn.routing.HttpRoute)">getMaxPerRoute</A></B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#getMaxTotal()">getMaxTotal</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#getSchemeRegistry()">getSchemeRegistry</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Obtains the scheme registry used by this manager.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/PoolStats.html?is-external=true" title="class or interface in org.apache.http.pool">PoolStats</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#getStats(org.apache.http.conn.routing.HttpRoute)">getStats</A></B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/PoolStats.html?is-external=true" title="class or interface in org.apache.http.pool">PoolStats</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#getTotalStats()">getTotalStats</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#releaseConnection(org.apache.http.conn.ManagedClientConnection, long, java.util.concurrent.TimeUnit)">releaseConnection</A></B>(<A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn">ManagedClientConnection</A>&nbsp;conn,
                  long&nbsp;keepalive,
                  <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Releases a connection for use by others.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/conn/ClientConnectionRequest.html" title="interface in org.apache.http.conn">ClientConnectionRequest</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#requestConnection(org.apache.http.conn.routing.HttpRoute, java.lang.Object)">requestConnection</A></B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                  <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Returns a new <A HREF="../../../../../org/apache/http/conn/ClientConnectionRequest.html" title="interface in org.apache.http.conn"><CODE>ClientConnectionRequest</CODE></A>, from which a
 <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn"><CODE>ManagedClientConnection</CODE></A> can be obtained or the request can be
 aborted.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#setDefaultMaxPerRoute(int)">setDefaultMaxPerRoute</A></B>(int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#setMaxPerRoute(org.apache.http.conn.routing.HttpRoute, int)">setMaxPerRoute</A></B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
               int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#setMaxTotal(int)">setMaxTotal</A></B>(int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#shutdown()">shutdown</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Shuts down this connection manager and releases allocated resources.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry)"><!-- --></A><H3>
PoolingClientConnectionManager</H3>
<PRE>
public <B>PoolingClientConnectionManager</B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schreg)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>
<HR>

<A NAME="PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry, org.apache.http.conn.DnsResolver)"><!-- --></A><H3>
PoolingClientConnectionManager</H3>
<PRE>
public <B>PoolingClientConnectionManager</B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schreg,
                                      <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>
<HR>

<A NAME="PoolingClientConnectionManager()"><!-- --></A><H3>
PoolingClientConnectionManager</H3>
<PRE>
public <B>PoolingClientConnectionManager</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>
<HR>

<A NAME="PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry, long, java.util.concurrent.TimeUnit)"><!-- --></A><H3>
PoolingClientConnectionManager</H3>
<PRE>
public <B>PoolingClientConnectionManager</B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schemeRegistry,
                                      long&nbsp;timeToLive,
                                      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>
<HR>

<A NAME="PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry, long, java.util.concurrent.TimeUnit, org.apache.http.conn.DnsResolver)"><!-- --></A><H3>
PoolingClientConnectionManager</H3>
<PRE>
public <B>PoolingClientConnectionManager</B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schemeRegistry,
                                      long&nbsp;timeToLive,
                                      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit,
                                      <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="finalize()"><!-- --></A><H3>
finalize</H3>
<PRE>
protected void <B>finalize</B>()
                 throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A></CODE> in class <CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="createConnectionOperator(org.apache.http.conn.scheme.SchemeRegistry)"><!-- --></A><H3>
createConnectionOperator</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/conn/ClientConnectionOperator.html" title="interface in org.apache.http.conn">ClientConnectionOperator</A> <B>createConnectionOperator</B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schreg)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Hook for creating the connection operator.
 It is called by the constructor.
 Derived classes can override this method to change the
 instantiation of the operator.
 The default implementation here instantiates
 <A HREF="../../../../../org/apache/http/impl/conn/DefaultClientConnectionOperator.html" title="class in org.apache.http.impl.conn"><CODE>DefaultClientConnectionOperator</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>schreg</CODE> - the scheme registry.
<DT><B>Returns:</B><DD>the connection operator to use</DL>
</DD>
</DL>
<HR>

<A NAME="getSchemeRegistry()"><!-- --></A><H3>
getSchemeRegistry</H3>
<PRE>
public <A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A> <B>getSchemeRegistry</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#getSchemeRegistry()">ClientConnectionManager</A></CODE></B></DD>
<DD>Obtains the scheme registry used by this manager.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#getSchemeRegistry()">getSchemeRegistry</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the scheme registry, never <code>null</code></DL>
</DD>
</DL>
<HR>

<A NAME="requestConnection(org.apache.http.conn.routing.HttpRoute, java.lang.Object)"><!-- --></A><H3>
requestConnection</H3>
<PRE>
public <A HREF="../../../../../org/apache/http/conn/ClientConnectionRequest.html" title="interface in org.apache.http.conn">ClientConnectionRequest</A> <B>requestConnection</B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                                                 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#requestConnection(org.apache.http.conn.routing.HttpRoute, java.lang.Object)">ClientConnectionManager</A></CODE></B></DD>
<DD>Returns a new <A HREF="../../../../../org/apache/http/conn/ClientConnectionRequest.html" title="interface in org.apache.http.conn"><CODE>ClientConnectionRequest</CODE></A>, from which a
 <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn"><CODE>ManagedClientConnection</CODE></A> can be obtained or the request can be
 aborted.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#requestConnection(org.apache.http.conn.routing.HttpRoute, java.lang.Object)">requestConnection</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="releaseConnection(org.apache.http.conn.ManagedClientConnection, long, java.util.concurrent.TimeUnit)"><!-- --></A><H3>
releaseConnection</H3>
<PRE>
public void <B>releaseConnection</B>(<A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn">ManagedClientConnection</A>&nbsp;conn,
                              long&nbsp;keepalive,
                              <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#releaseConnection(org.apache.http.conn.ManagedClientConnection, long, java.util.concurrent.TimeUnit)">ClientConnectionManager</A></CODE></B></DD>
<DD>Releases a connection for use by others.
 You may optionally specify how long the connection is valid
 to be reused.  Values <= 0 are considered to be valid forever.
 If the connection is not marked as reusable, the connection will
 not be reused regardless of the valid duration.

 If the connection has been released before,
 the call will be ignored.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#releaseConnection(org.apache.http.conn.ManagedClientConnection, long, java.util.concurrent.TimeUnit)">releaseConnection</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - the connection to release<DD><CODE>keepalive</CODE> - the duration of time this connection is valid for reuse<DD><CODE>tunit</CODE> - the unit of time validDuration is measured in<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#closeExpiredConnections()"><CODE>ClientConnectionManager.closeExpiredConnections()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="shutdown()"><!-- --></A><H3>
shutdown</H3>
<PRE>
public void <B>shutdown</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#shutdown()">ClientConnectionManager</A></CODE></B></DD>
<DD>Shuts down this connection manager and releases allocated resources.
 This includes closing all connections, whether they are currently
 used or not.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#shutdown()">shutdown</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="closeIdleConnections(long, java.util.concurrent.TimeUnit)"><!-- --></A><H3>
closeIdleConnections</H3>
<PRE>
public void <B>closeIdleConnections</B>(long&nbsp;idleTimeout,
                                 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#closeIdleConnections(long, java.util.concurrent.TimeUnit)">ClientConnectionManager</A></CODE></B></DD>
<DD>Closes idle connections in the pool.
 Open connections in the pool that have not been used for the
 timespan given by the argument will be closed.
 Currently allocated connections are not subject to this method.
 Times will be checked with milliseconds precision

 All expired connections will also be closed.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#closeIdleConnections(long, java.util.concurrent.TimeUnit)">closeIdleConnections</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>idleTimeout</CODE> - the idle time of connections to be closed<DD><CODE>tunit</CODE> - the unit for the <code>idletime</code><DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#closeExpiredConnections()"><CODE>ClientConnectionManager.closeExpiredConnections()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="closeExpiredConnections()"><!-- --></A><H3>
closeExpiredConnections</H3>
<PRE>
public void <B>closeExpiredConnections</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#closeExpiredConnections()">ClientConnectionManager</A></CODE></B></DD>
<DD>Closes all expired connections in the pool.
 Open connections in the pool that have not been used for
 the timespan defined when the connection was released will be closed.
 Currently allocated connections are not subject to this method.
 Times will be checked with milliseconds precision.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html#closeExpiredConnections()">closeExpiredConnections</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxTotal()"><!-- --></A><H3>
getMaxTotal</H3>
<PRE>
public int <B>getMaxTotal</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true#getMaxTotal()" title="class or interface in org.apache.http.pool">getMaxTotal</A></CODE> in interface <CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxTotal(int)"><!-- --></A><H3>
setMaxTotal</H3>
<PRE>
public void <B>setMaxTotal</B>(int&nbsp;max)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true#setMaxTotal(int)" title="class or interface in org.apache.http.pool">setMaxTotal</A></CODE> in interface <CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultMaxPerRoute()"><!-- --></A><H3>
getDefaultMaxPerRoute</H3>
<PRE>
public int <B>getDefaultMaxPerRoute</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true#getDefaultMaxPerRoute()" title="class or interface in org.apache.http.pool">getDefaultMaxPerRoute</A></CODE> in interface <CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setDefaultMaxPerRoute(int)"><!-- --></A><H3>
setDefaultMaxPerRoute</H3>
<PRE>
public void <B>setDefaultMaxPerRoute</B>(int&nbsp;max)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true#setDefaultMaxPerRoute(int)" title="class or interface in org.apache.http.pool">setDefaultMaxPerRoute</A></CODE> in interface <CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxPerRoute(org.apache.http.conn.routing.HttpRoute)"><!-- --></A><H3>
getMaxPerRoute</H3>
<PRE>
public int <B>getMaxPerRoute</B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true#getMaxPerRoute(T)" title="class or interface in org.apache.http.pool">getMaxPerRoute</A></CODE> in interface <CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxPerRoute(org.apache.http.conn.routing.HttpRoute, int)"><!-- --></A><H3>
setMaxPerRoute</H3>
<PRE>
public void <B>setMaxPerRoute</B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                           int&nbsp;max)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true#setMaxPerRoute(T, int)" title="class or interface in org.apache.http.pool">setMaxPerRoute</A></CODE> in interface <CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTotalStats()"><!-- --></A><H3>
getTotalStats</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/PoolStats.html?is-external=true" title="class or interface in org.apache.http.pool">PoolStats</A> <B>getTotalStats</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true#getTotalStats()" title="class or interface in org.apache.http.pool">getTotalStats</A></CODE> in interface <CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getStats(org.apache.http.conn.routing.HttpRoute)"><!-- --></A><H3>
getStats</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/PoolStats.html?is-external=true" title="class or interface in org.apache.http.pool">PoolStats</A> <B>getStats</B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true#getStats(T)" title="class or interface in org.apache.http.pool">getStats</A></CODE> in interface <CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PoolingClientConnectionManager.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/LoggingSessionOutputBuffer.html" title="class in org.apache.http.impl.conn"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html" title="class in org.apache.http.impl.conn"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/conn/PoolingClientConnectionManager.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PoolingClientConnectionManager.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
